Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233140 - Review Request: paragui - Graphical User Interface based on SDL
Summary: Review Request: paragui - Graphical User Interface based on SDL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 233142
TreeView+ depends on / blocked
 
Reported: 2007-03-20 16:47 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 11:39:27 UTC
mtasaka: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)
mock build log of paragui-1.0.4-2 on FC-devel i386 (deleted)
2007-03-24 11:53 UTC, Mamoru TASAKA
no flags Details

Description Hans de Goede 2007-03-20 16:47:09 UTC
Spec URL: http://people.atrpms.net/~hdegoede/paragui.spec
SRPM URL: http://people.atrpms.net/~hdegoede/paragui-1.0.4-1.fc7.src.rpm
Description:
ParaGUI is a cross-platform high-level application framework and GUI
(graphical user interface) library. ParaGUI's cross-platform nature is
completely based on the Simple DirectMedia Layer (SDL).

Comment 1 Mamoru TASAKA 2007-03-20 18:21:29 UTC
Just a NOTE:

SourceURL is found on:
http://download.savannah.gnu.org/releases/paragui/

Comment 2 Hans de Goede 2007-03-23 13:59:10 UTC
Hint to self: fix:
/usr/share/aclocal/paragui.m4:12: warning: underquoted definition of AM_PATH_PARAGUI


Comment 3 Mamoru TASAKA 2007-03-23 18:22:07 UTC
Well,  for 1.0.4-1:

?: Question
*: Must/Should fix

? Support bindings
  - It seems that python/ruby bindings are supported.
    However, when I tried to enable them, it failed due to
    some error...
    And I am not familiar with swig...

* Autotool
--------------------------------------------------
+ make
cd . && /builddir/build/BUILD/paragui-1.0.4/missing automake-1.4 --foreign
--include-deps Makefile
WARNING: `automake-1.4' is missing on your system.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.ac'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
cd . \
          && CONFIG_FILES=Makefile CONFIG_HEADERS= /bin/sh ./config.status
--------------------------------------------------
  - Having autotools called after configure is wrong and
    must be fixed.
    Perhaps timestamps on some files are wrong.
    
* Timestamps
  - Please keep timestamps on the files which are not
    created or modified on build stage
    (i.e. which are contained in the source tarball and installed
          without any modification).
    Normally these are
    - Text files such as documentations, header files
    - image files
    - etc..
    For this package, the following works.
--------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
--------------------------------------------------

? automake .m4 files
  - I don't know if any conclusion was made about this, however
    should -devel package require "automake" for .m4 file?

* URL
  - And fix URL. 
    My firefox shows that when I tries to download src.tarball from 
   
http://www.bms-austria.com/projects/paragui/modules.php?op=modload&name=Downloads&file=index&req=viewdownload&cid=1
    it is redirected to gnu.org.

* rpmlint
---------------------------------------------------
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0
FT_Set_Char_Size
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0 FT_Load_Glyph
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0
FT_Done_FreeType
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0 FT_Get_Kerning
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0
FT_Init_FreeType
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0
FT_New_Memory_Face
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0
FT_Get_Char_Index
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0 FT_Done_Face
W: paragui undefined-non-weak-symbol /usr/lib/libparagui-1.0.so.0.4.0 FT_MulFix
W: paragui unused-direct-shlib-dependency /usr/lib/libparagui-1.0.so.0.4.0
/lib/libpthread.so.0
W: paragui unused-direct-shlib-dependency /usr/lib/libparagui-1.0.so.0.4.0
/usr/lib/libpng12.so.0
W: paragui unused-direct-shlib-dependency /usr/lib/libparagui-1.0.so.0.4.0
/usr/lib/libtiff.so.3
W: paragui unused-direct-shlib-dependency /usr/lib/libparagui-1.0.so.0.4.0
/usr/lib/libjpeg.so.62
W: paragui unused-direct-shlib-dependency /usr/lib/libparagui-1.0.so.0.4.0
/lib/libgcc_s.so.1
W: paragui-devel no-documentation
---------------------------------------------------
  - unused-direct-shlib-dependency can be ignored.
    However, undefined-non-weak-symbol cannot be ignored because
    this rpm provides -devel subpackage and linkage against libparagui-1.0
    fails due to this symbols.

* Requires
---------------------------------------------------
[tasaka1@localhost ~]$ pkg-config --libs paragui
-lparagui -lSDL -lpthread -lSDL_image -lexpat -lfreetype -lstdc++  
[tasaka1@localhost ~]$ pkg-config --cflags paragui
-D_GNU_SOURCE=1 -D_REENTRANT -I/usr/include/freetype2 -I/usr/include/SDL  
---------------------------------------------------
  - This means that -devel package should require SDL-devel, SDL_image-devel
    (and perhaps this is wrong).

    NOTE: if it is correct that "-lSDL" or "-I/usr/include/SDL" is included,
          then paragui.pc should have "Requires: sdl" (i.e. paragui.pc
          should require sdl.pc).
          And.. anyway paragui.pc should not have explicit
          "-l<which are in other packages>" entry. This entry usually means
          that linkage against libparagui-1.0 is incorrect.


--------------------------------------------------------------------
 I would appreciate it if you would review my review request for
 mecab-ipadic (bug 231486), which is very similar with mecab-jumandic.

Comment 4 Hans de Goede 2007-03-24 09:58:40 UTC
(In reply to comment #3)
> ? Support bindings
>   - It seems that python/ruby bindings are supported.
>     However, when I tried to enable them, it failed due to
>     some error...
>     And I am not familiar with swig...
> 

I've enabled the python bindings and fixed the error. Since I know nothing of
ruby I have left them disabled for now.


> ? automake .m4 files
>   - I don't know if any conclusion was made about this, however
>     should -devel package require "automake" for .m4 file?
> 

I don't believe there was a conclusion. But since all used directories must be
owned this is the only solution (until some other package the automake becomes
the owner)

All other items fixed, new version here:
Spec URL: http://people.atrpms.net/~hdegoede/paragui.spec
SRPM URL: http://people.atrpms.net/~hdegoede/paragui-1.0.4-2.fc7.src.rpm


Comment 5 Mamoru TASAKA 2007-03-24 11:53:29 UTC
Created attachment 150825 [details]
mock build log of paragui-1.0.4-2 on FC-devel i386

* Mock build failed on FC-devel i386 as attached.
-------------------------------------------------
%{__sed} -i.dir -e 's|/src|/src/.libs|' bindings/python/Makefile.in
-------------------------------------------------
  works, however you may like to create a patch.

* I use FC-devel (so python is 2.5), however, on FC-6 or FC-5
  python version is 2.4.

Comment 6 Hans de Goede 2007-03-24 23:26:23 UTC
(In reply to comment #5)
> Created an attachment (id=150825) [edit]
> mock build log of paragui-1.0.4-2 on FC-devel i386
> 
> * Mock build failed on FC-devel i386 as attached.
> -------------------------------------------------
> %{__sed} -i.dir -e 's|/src|/src/.libs|' bindings/python/Makefile.in
> -------------------------------------------------
>   works, however you may like to create a patch.
> 

Fixed (added to vegastrike-python.patch)

> * I use FC-devel (so python is 2.5), however, on FC-6 or FC-5
>   python version is 2.4.

Good point, I'll adjust the patch + specfile when copying the imported version
over from devel to FC-6

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/paragui.spec
SRPM URL: http://people.atrpms.net/~hdegoede/paragui-1.0.4-3.fc7.src.rpm


Comment 7 Mamoru TASAKA 2007-03-25 05:59:17 UTC
Okay, all what are addressed are fixed.

-----------------------------------------------
   This package (paragui) is APPROVED by me.
-----------------------------------------------

Comment 8 Hans de Goede 2007-03-25 12:13:47 UTC
New Package CVS Request
=======================
Package Name:      paragui
Short Description: Graphical User Interface based on SDL
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>


Comment 9 Dennis Gilmore 2007-03-25 17:43:47 UTC
cvs done

Comment 10 Hans de Goede 2007-03-27 08:45:37 UTC
Thanks for the review!

Imported and build, closing.


Comment 11 Mamoru TASAKA 2007-03-27 09:22:27 UTC
Can I close this?

Comment 12 Hans de Goede 2007-03-27 11:39:27 UTC
(In reply to comment #11)
> Can I close this?

My bad, when I wrote: "closing" I should have actually closed it, done now.



Note You need to log in before you can comment on or make changes to this bug.